このコンテンツは設定された言語で表示できません。

このコンテンツは表示可能な別の言語で表示されています。 お使いのブラウザに翻訳機能がある場合はご利用ください。

NI DAQ Hardware Supported in Version of LabVIEW

Updated Jul 15, 2020

Reported In

Hardware

  • Multifunction I/O Device
  • CompactDAQ Chassis
  • CompactDAQ Controller
  • PXI Multifunction I/O Module

Software

  • LabVIEW

Driver

  • NI-DAQmx

Issue Details

I have old DAQ hardware or hardware that uses DAQmx that I am not sure is supported in my version of LabVIEW.  How do I determine if my version of LabVIEW or DAQmx is compatible with my hardware and operating system?

Solution

In order to communicate with NI Data Acquisition devices you need to have installed the compatible hardware driver (NI-DAQmx or Traditional NI-DAQ(Legacy)) and LabVIEW.

Note: Traditional NI-DAQ is a Legacy product and is no longer availble for download. Please refer to Transition from Traditional NI-DAQ (Legacy) to NI-DAQmx in LabVIEW
  • If you already have software installed on your development system, Determine the Version of the NI Software Installed on Your Compute. Find the versions for the hardware driver (Ni-DAQmx or Tradition NI-DAQ) and LabVIEW. Check for Compatibility in the section below
  • If you do not have software installed on your development system, check for compatibility in the section below and install the appropriate software.

Compatibility Checks: